Name:           perl-File-Find-Rule-Perl
Version:        1.13
Release:        2.0.1%{?dist}
Summary:        Common rules for searching for Perl things
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-Find-Rule-Perl/
Source0:        http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/File-Find-Rule-Perl-%{version}.tar.gz

# Oracle patches
Patch1000:      1000-Fix-for-CVE-2011-10007-Use-3-arg-open.patch

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.36
BuildRequires:  perl(ExtUtils::MM_Unix)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
%if !%{defined perl_bootstrap}
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(File::Find::Rule) >= 0.20
BuildRequires:  perl(File::Spec) >= 0.82
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Spec::Unix)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(lib)
BuildRequires:  perl(Params::Util) >= 0.38
BuildRequires:  perl(Parse::CPAN::Meta) >= 1.38
BuildRequires:  perl(Test::More) >= 0.47
%endif

%description
This module provides methods for finding various types Perl-related files,
or replicating search queries run on a distribution in various parts of the
CPAN ecosystem.

%prep
%setup -q -n File-Find-Rule-Perl-%{version}

%patch -P1000 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
chmod -R u+w %{buildroot}/*

%check
%if !%{defined perl_bootstrap}
rm *.list
make test AUTOMATED_TESTING=1
%endif

%files
%doc Changes LICENSE
%{perl_vendorlib}/File
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 Kaylin Devchand <kaylin.devchand@oracle.com> - 1.13-2.0.1
- Use 3 arg open in grep() [Orabug: 38120371][CVE-2011-10007]

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 1.13-2
- Mass rebuild 2013-12-27

* Mon Jul 22 2013 Petr Šabata <contyk@redhat.com> - 1.13-1.3
- Removing an unnecessary build-time dependency
- Fixing the description

* Thu Jul 11 2013 Petr Šabata <contyk@redhat.com> - 1.13-1.2
- Additional packaging fixes

* Tue Jul 09 2013 Petr Šabata <contyk@redhat.com> - 1.13-1.1
- Fix the package for EL7 submission

* Wed Nov 07 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.13-1
- Revert parts of previous changes.
- Upstream update.

* Tue Oct 23 2012 Petr Šabata <contyk@redhat.com> - 1.12-6
- Specify all dependencies
- Modernize specfile
- Drop command macros
- Fix mixed whitespace

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Petr Pisar <ppisar@redhat.com> - 1.12-4
- Perl 5.16 re-rebuild of bootstrapped packages

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 1.12-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 25 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.12-1
- Upstream update.
- Update BRs.
- Spec file cleanup.

* Tue Jun 28 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.10-3
- rebuild with Perl 5.14.1
- add perl_bootstrap macro for test BR

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 03 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.10-1
- Upstream update.

* Sun May 09 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.09-5
- Re-enable pmv-test.

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.09-4
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.09-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.09-2
- rebuild against perl 5.10.1

* Fri Aug 07 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.09-1
- Upstream update.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.08-1
- Upstream update.

* Wed Jun 17 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.06-1
- Upstream update.
- Build in subdir to work-around rpm disturbing testsuite.
- Rework BRs.

* Fri Feb 27 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.04-4
- Adjust minimum perl version in META.yml (Add File-Find-Rule-Perl-1.04.diff).

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jun 24 2008 Ralf Corsépius <rc040203@freenet.de> - 1.04-2
- Unconditionally BR: perl(Test::CPAN::Meta).

* Tue Jun 10 2008 Ralf Corsépius <rc040203@freenet.de> - 1.04-1
- Upstream update.

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.03-3
- Rebuild for perl 5.10 (again)

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.03-2
- rebuild for new perl

* Mon Nov 19 2007 Ralf Corsépius <rc040203@freenet.de> - 0.03-1
- Initial version.
